<?php



require_once('../conexao/conectar.php');
require_once('../classes/judo_logperfil.php');

class Aula{

var $id;             
var $planejamento_id;
var $dataaula;
var $qtd;
var $descricao;
var $obs;
var $deletado;
var $professor_id;
var $turma_id;

	
	function cadastrar(){
        try {
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Aula.cadastrar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->planejamento_id#$this->dataaula#$this->qtd#$this->descricao#$this->obs#$this->deletado#$this->professor_id#$this->turma_id";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
            
            
            
            echo $valores;
            
    		$c = new Conexao();
		    $date = new DateTime();
		    $conn = $c->AbreConexao();
		    $stmt = $conn->prepare("insert into realizado (planejamento_id,
		                                                   dataaula,
		                                                   qtd,
		                                                   descricao,
		                                                   obs,
		                                                   deletado,
		                                                   professor_id,
		                                                   turma_id)
		                                                   values
		                                                (  :pplanejamento_id,
		                                                   :pdataaula,
		                                                   :pqtd,
		                                                   :pdescricao,
		                                                   :pobs,
		                                                   :pdeletado,
		                                                   :pprofessor_id,
		                                                   :pturma_id)
		                                                ");
		                                                
		    $stmt->execute(array(':pplanejamento_id'            => $this->planejamento_id,  
                                 ':pdataaula'             => $this->dataaula,
                                 ':pqtd'           => $this->qtd,	    	        
                                 ':pdescricao'       => $this->descricao,
                                 ':pobs'         => $this->obs,          
                                 ':pdeletado'         => 0,	            
                                 ':pprofessor_id'            => $this->professor_id,	                    
                                 ':pturma_id'    => $this->turma_id
                            ));

		                         
		    return 1;
    	}catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
	function buscar(){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Aula.buscar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->planejamento_id#$this->dataaula#$this->qtd#$this->descricao#$this->obs#$this->deletado#$this->professor_id#$this->turma_id";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
	        
	        
	        
	         $c = new Conexao();
            $conn = $c->AbreConexao();
            //echo "aqui buscar".$this->id;
	        $ps = $conn->prepare("select * from realizado where id = :pid and deletado = 0");
            $ps->execute(array(':pid' => $this->id));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
                    $this->id               = $row[0];
                    $this->planejamento_id  = $row[1];
                    $this->dataaula         = $row[2];
                    $this->qtd	            = $row[3];
                    $this->descricao	    = $row[4];
                    $this->obs	            = $row[5]; 
                    $this->deletado	        = $row[6]; 
                    $this->professor_id	    = $row[7]; 
                    $this->turma_id	        = $row[8]; 
	            }
				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function alterar(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Aula.alterar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->planejamento_id#$this->dataaula#$this->qtd#$this->descricao#$this->obs#$this->deletado#$this->professor_id#$this->turma_id";
            
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update realizado set 
                                    planejamento_id  = :pplanejamento_id, 
                                    dataaula         = :pdataaula,
                                    qtd              = :pqtd,
                                    descricao        = :pdescricao,
                                    obs              = :pobs,
                                    deletado         = :pdeletado,
                                    professor_id     = :pprofessor_id,
                                    turma_id         = :pturma_id
    		                        where id = :pid and deletado = 0");
             $ps->execute(
                           array(
                                    ':pplanejamento_id'  => $this->planejamento_id, 
                                    ':pdataaula'         => $this->dataaula,
                                    ':pqtd'              => $this->qtd,
                                    ':pdescricao'        => $this->descricao,
                                    ':pobs'              => $this->obs,
                                    ':pdeletado'         => $this->deletado,
                                    ':pprofessor_id'     => $this->professor_id,
                                    ':pturma_id'         => $this->turma_id

                                )
                        );
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}

		function remover(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Aula.remover";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->planejamento_id#$this->dataaula#$this->qtd#$this->descricao#$this->obs#$this->deletado#$this->professor_id#$this->turma_id";
            
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		$ps = $conn->prepare("update realizado set deletado = 1 where id = :pid and deletado = 0");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	function removerfisico(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Aula.removerfisico";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->planejamento_id#$this->dataaula#$this->qtd#$this->descricao#$this->obs#$this->deletado#$this->professor_id#$this->turma_id";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("delete from realizado where id = :pid and deletado = 1");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	
	function getAulas($cond){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Aula.getPessoas";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->planejamento_id#$this->dataaula#$this->qtd#$this->descricao#$this->obs#$this->deletado#$this->professor_id#$this->turma_id";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
	        
	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select * from realizado ".$cond;
            
            //echo "comando $comando";
            
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0]  = $row[0]; // id
                    $retorno[$indice][1]  = $row[1]; // planejamento_id
                    $retorno[$indice][2]  = $row[2]; // dataaula
                    $retorno[$indice][3]  = $row[3]; // qtd
                    $retorno[$indice][4]  = $row[4]; // descricao
                    $retorno[$indice][5]  = $row[5]; // obs
                    $retorno[$indice][6]  = $row[6]; // deletado
                    $retorno[$indice][7]  = $row[7]; // professor_id
                    $retorno[$indice][8]  = $row[8]; // turma_id
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function getAulas2($cond){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Aula.getAulas2";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->planejamento_id#$this->dataaula#$this->qtd#$this->descricao#$this->obs#$this->deletado#$this->professor_id#$this->turma_id";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
	        
	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select r.id, r.dataaula, r.qtd, r.descricao, r.professor_id, p.nome, r.turma_id, t.descricao, r.obs, r.planejamento_id, pl.atividade, c.tipo, c.descricao from realizado r, pessoa p, turma t, planejamento pl, conteudo c where r.professor_id = p.id and r.turma_id = t.id and r.planejamento_id = pl.id and pl.conteudo_id = c.id and r.deletado <> 1 ".$cond;
            
            //echo "comando $comando";
            
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0]  = $row[0]; // id
                    $retorno[$indice][1]  = $row[1]; // dataaula
                    $retorno[$indice][2]  = $row[2]; // qtd
                    $retorno[$indice][3]  = $row[3]; // descricao
                    $retorno[$indice][4]  = $row[4]; // professor_id
                    $retorno[$indice][5]  = $row[5]; // nome
                    $retorno[$indice][6]  = $row[6]; // turma_id
                    $retorno[$indice][7]  = $row[7]; // descricao
                    $retorno[$indice][8]  = $row[8]; // obs
                    $retorno[$indice][9]  = $row[9]; // planejamento_id
                    $retorno[$indice][10]  = $row[10]; // pl.atividade
                    $retorno[$indice][11]  = $row[11]; // pl.atividade
                    $retorno[$indice][12]  = $row[12]; // pl.atividade
                    
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}



}
?>