<?php
require_once('../conexao/conectar.php');

class Historico{
	
	var $idunico; //0
	var $ocorrencia_id; //1
	var $data; //2
	var $descricao;  //3
	var $porcrealizado; //4
	var $editavel; //5
	var $registroativo;  //6
	var $motivoexclusao;

	
	function cadastrar(){
	    
       try {
    		$c = new Conexao();
		    $date = new DateTime();
		    $conn = $c->AbreConexao();
		    $stmt = $conn->prepare("insert into status ( ocorrencia_id, data, descricao, porcrealizado, editavel,registroativo, motivoexclusao) values (:pocorrencia_id,:pdata,:pdescricao,:pporcrealizado,:peditavel,:pregistroativo,:pmotivoexclusao)");
		    $stmt->execute(array(':pocorrencia_id' => $this->ocorrencia_id, 
		                            ':pdata' => $this->data,
		                            ':pdescricao' => $this->descricao, 
		                            ':pporcrealizado' => $this->porcrealizado, 
		                            ':peditavel' => $this->editavel, 
		                            ':pregistroativo' => $this->registroativo, 		                            
		                            ':pmotivoexclusao' => $this->motivoexclusao));
		    return 1;
    	}catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }	    
	}


	function buscar(){
	    try{
	         $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from status where idunico = :pidunico");
            $ps->execute(array(':pidunico' => $this->idunico));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
				    $this->idunico = $row[0];			
				    $this->ocorrencia_id = $row[1];
				    $this->data = $row[2];
			    	$this->descricao = $row[3];				
				    $this->porcrealizado = $row[4];				
				    $this->editavel = $row[5];								
				    $this->registroativo = $row[6];
				    $this->motivoexclusao = $row[7];
	            }
				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }	    
	}




	function buscarhistoricos(){
	    
	    try{
	         $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from status where ocorrencia_id = :pocorrencia_id and registroativo = 'S'");
            $ps->execute(array(':pocorrencia_id' => $this->ocorrencia_id));
	        $numreg = $ps->rowCount();
            $indice = 0;
            	            echo "fora";
            	            echo $this->ocorrencia_id;
	        if($numreg > 0){
	            echo "dentro";
	            foreach ($ps->fetchAll() as $row) {
				    $retorno[$indice][0] = $row[0];
				    $retorno[$indice][1] = $row[1];
				    $retorno[$indice][2] = $row[2];
				    $retorno[$indice][3] = $row[3];
				    $retorno[$indice][4] = $row[4];
				    $retorno[$indice][5] = $row[5];
				    $retorno[$indice][6] = $row[6];
				    $retorno[$indice][7] = $row[7];
				    $indice = $indice + 1;				
	            }
				return $retorno;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }	    
	}

	function alterar(){
       try {
    		$c = new Conexao();
		    $date = new DateTime();
		    $conn = $c->AbreConexao();
		    $stmt = $conn->prepare("update status set data = :pdata, descricao = :pdescricao, porcrealizado= :pporcrealizado, editavel= :peditavel, registroativo= :pregistroativo,	motivoexclusao= :pmotivoexclusao where idunico = :pidunico");
		    $stmt->execute(array(
                                ':pdata' => $this->data,
                                ':pdescricao' => $this->descricao,
                                ':pporcrealizado' => $this->porcrealizado,
                                ':peditavel' => $this->editavel,
                                ':pregistroativo' => $this->registroativo,
                                ':pmotivoexclusao' => $this->motivoexclusao,
                                ':pidunico' => $this->idunico
		        ));
		    return 1;
    	}catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }	    
	}
	
	
	function remover(){
       try {
    		$c = new Conexao();
		    $date = new DateTime();
		    $conn = $c->AbreConexao();
		    $stmt = $conn->prepare("update status set registroativo = 'D' where idunico = :pidunico");
		    $stmt->execute(array(
                                ':pidunico' => $this->idunico
		        ));
		    return 1;
    	}catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }	    
	}
	
	
	function getMaxPorc(){
	    try{
            $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select max(porcrealizado) from status where ocorrencia_id = :pocorrencia_id and registroativo <> 'D' ");
            $ps->execute(array(':pocorrencia_id' => $this->ocorrencia_id));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
				    
				    $varet = $row[0];
				    
				    //echo $varet;
				    
    			    return $varet;
                }
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }	    

	    
	}

	
	function leparametro(){
		$fp = fopen("./dados.txt", "r");
		$texto = fread($fp, 20); // lê 20 bytes do arquivo e armazena em $texto
		fclose($fp);
		return $texto;
	}
}
?>