<?php



require_once('../conexao/conectar.php');
require_once('../classes/judo_logperfil.php');

class Campeonato{

var $id;      
var $codigo;
var $descricao;
var $tipo;
var $regiaoresponsavel;
var $deletado;


	
	function cadastrar(){
        try {
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Campeonato.cadastrar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->tipo # $this->regiaoresponsavel";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
            
            
    		$c = new Conexao();
		    $date = new DateTime();
		    $conn = $c->AbreConexao();
		    $stmt = $conn->prepare("insert into campeonato (
                                    codigo,
                                    descricao,
                                    tipo,
                                    regiaoresponsavel,
                                    deletado
		                             )values(
                                        :pcodigo,
                                        :pdescricao,
                                        :ptipo,
                                        :pregiaoresponsavel,
                                        :pdeletado		                          
		                                 )
		                          ");
		    $stmt->execute(array(
                                ':pcodigo'              => $this->codigo,  
                                ':pdescricao'           => $this->descricao,
                                ':ptipo' => $this->tipo,
                                ':pregiaoresponsavel' => $this->regiaoresponsavel,
                                ':pdeletado'            => 0
		                         )
		                         );
		    return 1;
    	}catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function buscar(){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Campeonato.buscar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->tipo # $this->regiaoresponsavel";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
	        
	        
	        //echo "dentro do buscar campeonato";
	        
	         $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from campeonato where id = :pid and deletado = 0");
            $ps->execute(array(':pid' => $this->id));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
                    $this->id               = $row[0];
                    $this->codigo        = $row[1];
                    $this->descricao             = $row[2];
                    $this->tipo             = $row[3];
                    $this->regiaoresponsavel        = $row[4];
                    $this->deletado         = $row[5];    
	            }
				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function alterar(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Campeonato.alterar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->tipo # $this->regiaoresponsavel";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update campeonato set 
                                    codigo             = :pcodigo,
                                    descricao          = :pdescricao,
                                    tipo = :ptipo,
                                    regiaoresponsavel = :pregiaoresponsavel,
                                    deletado           = :pdeletado
    		                        where id = :pid and deletado = 0");
             $ps->execute(
                           array(
                                    ':pcodigo'           => $this->codigo,  
                                    ':pdescricao'        => $this->descricao,
                                    ':ptipo' => $this->tipo,
                                    ':pregiaoresponsavel' => $this->regiaoresponsavel,
                                    ':pdeletado'         => $this->deletado,                                  
                                    ':pid'               => $this->id
                                )
                        );
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}


		function remover(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Campeonato.remover";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->tipo # $this->regiaoresponsavel";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update campeonato set deletado = 1 where id = :pid and deletado = 0");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	function removerfisico(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Campeonato.removerfisico";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->tipo # $this->regiaoresponsavel";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
		    
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("delete from campeonato where id = :pid and deletado = 1");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	
	function getCampeonatos($cond){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Campeonato.getCampeonatos";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->tipo # $this->regiaoresponsavel#$cond";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
	        
	        
	        
	        //echo "aqui dentro";
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select * from campeonato ".$cond;
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0]  = $row[0]; // id
                    $retorno[$indice][1]  = $row[1]; // codigo
                    $retorno[$indice][2]  = $row[2]; // descricao
                    $retorno[$indice][3]  = $row[3]; // tipo
                    $retorno[$indice][4]  = $row[4]; // regiaoresponsavel
                    $retorno[$indice][5]  = $row[5]; // deletado
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
	
		function usado(){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Campeonato.usado";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->tipo # $this->regiaoresponsavel";
            $lp->setLog($usuario, $pagina, $funcao, $valores);

            $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from participacaocampeonato where campeonato_id = :pcampeonato_id and deletado = 0");
            $ps->execute(array(':pcampeonato_id' => $this->id));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
				return 1; //usado
	        }else{
    			return 0; //nao usado
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	

}
?>