<?php



require_once('../conexao/conectar.php');
require_once('../classes/judo_logperfil.php');

class Conteudo{

var $id;
var $tipo;
var $descricao;
var $deletado;

function cadastrar(){
        try {
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Conteudo.cadastrar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
            
            //$valida = $this->faltalancada($this->matricula_id, $this->datafalta);
            $valida = 0;
            
            
            if($valida == 0){
                echo $valores;
            
    		    $c = new Conexao();
		        $date = new DateTime();
		        $conn = $c->AbreConexao();
		        $stmt = $conn->prepare("insert into conteudo (tipo,
		                                                   descricao,
		                                                   deletado
                                                        )
		                                                   values
		                                                (  :ptipo,
		                                                   :pdescricao,
		                                                   :pdeletado
                                                            )
		                                                ");
		                                                
		        $stmt->execute(array(':ptipo'            => $this->tipo,  
                                 ':pdescricao'        => $this->descricao,
                                 ':pdeletado'         => 0

                            ));

		                         
		        return 1;
            }else{
                return -1;
            }
    	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
	function buscar(){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Conteudo.buscar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
           $c = new Conexao();
            $conn = $c->AbreConexao();
            //echo "aqui buscar".$this->id;
	        $ps = $conn->prepare("select * from conteudo where id = :pid and deletado = 0");
            $ps->execute(array(':pid' => $this->id));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
                    $this->id            = $row[0];
                    $this->tipo  = $row[1];
                    $this->descricao     = $row[2];
                    $this->deletado      = $row[3];
	            }
				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function alterar(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Conteudo.alterar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update conteudo set 
                                    tipo  = :ptipo, 
                                    descricao = :pdescricao,
                                    deletado  = :pdeletado
    		                        where id  = :pid and deletado = 0");
             $ps->execute(
                           array(
                                    ':ptipo'     => $this->tipo, 
                                    ':pdescricao'        => $this->descricao,
                                    ':pdeletado'         => $this->deletado,
                                    ':pid'               => $this->id
                                )
                        );
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}

		function remover(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Conteudo.remover";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    
		    $resp = $this->conteudousado($this->id);
		    if($resp <> 1){
		        $c = new Conexao;
		        $conn = $c->AbreConexao();	
    		    $ps = $conn->prepare("update conteudo set deletado = 1 where id = :pid and deletado = 0");
                $ps->execute(array(':pid' => $this->id
                                ));
                return 1;
            }else{
                return -1;
            }
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	

	
	function removerfisico(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Conteudo.removerfisico";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("delete from conteudo where id = :pid and deletado = 1");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	
	function getConteudo($cond){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Conteudo.getPessoas";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
	        
	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select * from conteudo ".$cond;
            
            //echo "comando $comando";
            
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0] = $row[0]; // id
                    $retorno[$indice][1] = $row[1]; // tipo
                    $retorno[$indice][2] = $row[2]; // descricao
                    $retorno[$indice][3] = $row[3]; // deletado
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
		function conteudousado($id){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Conteudo.conteudousado";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from planejamento p where p.conteudo_id = :pid  and deletado = 0");
            $ps->execute(array(':pid'            => $id  
                            ));
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                return 1;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	


}
?>