<?php



require_once('../conexao/conectar.php');
require_once('../classes/judo_logperfil.php');

class Contribuicao{

var $id;    
var $datalancamento;
var $datapagamento;
var $valorlancado;
var $valorpago;
var $mes;
var $observacao;
var $deletado;


	
	function cadastrar(){
        try {
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Constribuicao.cadastrar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->datalancamento # $this->datapagamento # $this->valorlancado # $this->valorpago # $this->mes # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
            
            
    		$c = new Conexao();
		    $date = new DateTime();
		    $conn = $c->AbreConexao();
		    $stmt = $conn->prepare("insert into contribuicao (
                                    datalancamento,
                                    datapagamento,
                                    pessoa_id,
                                    valorlancado,
                                    valorpago,
                                    mes,
                                    observacao,
                                    deletado
		                             )values(
                                        :pdatalancamento,
                                        :pdatapagamento,
                                        :ppessoa_id,
                                        :pvalorlancado,
                                        :pvalorpago,
                                        :pmes,
                                        :pobservacao,
                                        :pdeletado
		                                 )
		                          ");
		    $stmt->execute(array(
                                ':pdatalancamento'               => $this->datalancamento,  
                                ':pdatapagamento'                => $this->datapagamento,
                                ':ppessoa_id'                    => $this->pessoa_id,
                                ':pvalorlancado'                 => $this->valorlancado,
                                ':pvalorpago'                    => $this->valorpago,
                                ':pmes'                          => $this->mes,
                                ':pobservacao'                   => $this->observacao,
                                ':pdeletado'                     => 0
		                         )
		                         );
		    return 1;
    	}catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function buscar(){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Constribuicao.buscar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->datalancamento # $this->datapagamento # $this->valorlancado # $this->valorpago # $this->mes # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
	        
	        
	         $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from contribuicao where id = :pid and deletado = 0");
            $ps->execute(array(':pid' => $this->id));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
	                $this->id = $row[0];   
	                $this->datalancamento= $row[1];   
                    $this->datapagamento= $row[2];   
                    $this->pessoa_id= $row[3];   
                    $this->valorlancado= $row[4];   
                    $this->valorpago= $row[5];   
                    $this->mes= $row[6];   
                    $this->observacao= $row[7];   
	            }
				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function alterar(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Constribuicao.alterar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->datalancamento # $this->datapagamento # $this->valorlancado # $this->valorpago # $this->mes # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		$ps = $conn->prepare("update contribuicao set 
    		                        datalancamento   = :pdatalancamento, 
    		                        pessoa_id        = :ppessoa_id,
    		                        valorlancado     = :pvalorlancado,
    		                        valorpago        = :pvalorpago,
    		                        mes              = :pmes,
    		                        observacao       = :pobservacao
    		                        where id = :pid and deletado = 0");
             $ps->execute(
                           array(
                                ':pdatalancamento'               => $this->datalancamento,  
                                ':ppessoa_id'                    => $this->pessoa_id,
                                ':pvalorlancado'                 => $this->valorlancado,
                                ':pvalorpago'                    => $this->valorpago,
                                ':pmes'                          => $this->mes,
                                ':pobservacao'                   => $this->observacao,
                                ':pid'                           => $this->id
                                )
                        );
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
		function setafechamento(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Constribuicao.setafechamento";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->datalancamento # $this->datapagamento # $this->valorlancado # $this->valorpago # $this->mes # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update contribuicao set 
                                    datapagamento  = :pdatapagamento
    		                        where id = :pid and deletado = 0");
             $ps->execute(
                           array(
                                ':pdatapagamento'          => $this->datapagamento,
                                ':pid'                      => $this->id
                                )
                        );
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}

		function setafechamentonull(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Constribuicao.setafechamentonull";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->datalancamento # $this->datapagamento # $this->valorlancado # $this->valorpago # $this->mes # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update contribuicao set 
                                    datapagamento  = null
    		                        where id = :pid and deletado = 0");
             $ps->execute(
                           array(
                                ':pid'                      => $this->id
                                )
                        );
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}

		function remover(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Constribuicao.remover";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->datalancamento # $this->datapagamento # $this->valorlancado # $this->valorpago # $this->mes # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update contribuicao set deletado = 1 where id = :pid and deletado = 0");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	function removerfisico(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Constribuicao.removerfisico";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->datalancamento # $this->datapagamento # $this->valorlancado # $this->valorpago # $this->mes # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("delete from contribuicao where id = :pid and deletado = 1");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	
	function getConstribuicao($cond){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Constribuicao.getConstribuicao";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->datalancamento # $this->datapagamento # $this->valorlancado # $this->valorpago # $this->mes # $this->observacao#$cond";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select * from contribuicao ".$cond;
            //echo $comando;
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0]  = $row[0]; // id
                    $retorno[$indice][1]  = $row[1]; // datalancamento
                    $retorno[$indice][2]  = $row[2]; // datapagamento
                    $retorno[$indice][3]  = $row[3]; // pessoa_id
                    $retorno[$indice][4]  = $row[4]; // valorlancado
                    $retorno[$indice][5]  = $row[5]; // valorpago
                    $retorno[$indice][6]  = $row[6]; // mes
                    $retorno[$indice][7]  = $row[7]; // observacao
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
	function validainclusao($numero, $evento_id){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Constribuicao.validainclusao";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->datalancamento # $this->datapagamento # $this->valorlancado # $this->valorpago # $this->mes # $this->observacao#$numero#$evento_id";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select * from adesao where numero = :pnumero and evento_id = :pevento_id and status <> 'DEVOLVIDA'";
	        $ps = $conn->prepare($comando);
            //$ps->execute();
            $ps->execute(array(':pnumero' => $numero, 'pevento_id' => $evento_id));
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                return 0;
            }else {
                return 1;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	
	    
	    
	}
	
		function getContribuicaobrw($cond){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Constribuicao.getContribuicaobrw";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->datalancamento # $this->datapagamento # $this->valorlancado # $this->valorpago # $this->mes # $this->observacao#$cond";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            //                            0                   1              2              3               4            5             6      7           8       
            $comando = "select contribuicao.id, contribuicao.pessoa_id, pessoa.nome, datalancamento, datapagamento, valorlancado, valorpago, mes, contribuicao.observacao from contribuicao, pessoa where contribuicao.pessoa_id = pessoa.id and contribuicao.deletado = 0 ".$cond;
            //echo $comando;
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0]  = $row[0]; // id
                    $retorno[$indice][1]  = $row[1]; // pessoa_id
                    $retorno[$indice][2]  = $row[2]; // evento_id
                    $retorno[$indice][3]  = $row[3]; // numero
                    $retorno[$indice][4]  = $row[4]; // valor
                    $retorno[$indice][5]  = $row[5]; // saldo
                    $retorno[$indice][6]  = $row[6]; // status
                    $retorno[$indice][7]  = $row[7]; // observacao
                    $retorno[$indice][8]  = $row[8]; // deletado
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	

}
?>