<?php



require_once('../conexao/conectar.php');
require_once('../classes/judo_logperfil.php');

class Edicaocampeonato{

var $id;      
var $campeonato_id;
var $data;
var $local;
var $obs;
var $deletado;


	
	function cadastrar(){
        try {
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Edicaocampeonato.cadastrar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->campeonato_id # $this->data # $this->local # $this->obs # $this->deletado";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
            
            
    		$c = new Conexao();
		    $date = new DateTime();
		    $conn = $c->AbreConexao();
		    $stmt = $conn->prepare("insert into edicaocampeonato (
                                    campeonato_id,
                                    data,
                                    local,
                                    obs,
                                    deletado
		                             )values(
                                        :pcampeonato_id,
                                        :pdata,
                                        :plocal,
                                        :pobs,
                                        :pdeletado		                          
		                                 )
		                          ");
		    $stmt->execute(array(
                                ':pcampeonato_id'              => $this->campeonato_id,  
                                ':pdata'           => $this->data,
                                ':plocal' => $this->local,
                                ':pobs' => $this->obs,
                                ':pdeletado'            => 0
		                         )
		                         );
		    return 1;
    	}catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function buscar(){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "edicaocampeonato.buscar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->campeonato_id # $this->data # $this->local # $this->obs # $this->deletado";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
	        
	        
	        
	        
	         $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from edicaocampeonato where id = :pid and deletado = 0");
            $ps->execute(array(':pid' => $this->id));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
                    $this->id               = $row[0];
                    $this->campeonato_id        = $row[1];
                    $this->data             = $row[2];
                    $this->local             = $row[3];
                    $this->obs        = $row[4];
                    $this->deletado         = $row[5];    
	            }
				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function alterar(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "edicaocampeonato.alterar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->campeonato_id # $this->data # $this->local # $this->obs # $this->deletado";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update edicaocampeonato set 
                                    data  = :pdata,
                                    local = :plocal,
                                    obs   = :pobs,
                                    deletado           = :pdeletado
    		                        where id = :pid and deletado = 0");
             $ps->execute(
                           array(
                                    ':pdata'           => $this->data,  
                                    ':plocal'           => $this->local,
                                    ':pobs'             => $this->obs,
                                    ':pdeletado'         => $this->deletado,                                  
                                    ':pid'               => $this->id
                                )
                        );
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}


		function remover(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "edicaocampeonato.remover";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->campeonato_id # $this->data # $this->local # $this->obs # $this->deletado";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update edicaocampeonato set deletado = 1 where id = :pid and deletado = 0");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	function removerfisico(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "edicaocampeonato.removerfisico";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->campeonato_id # $this->data # $this->local # $this->obs # $this->deletado";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
		    
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("delete from edicaocampeonato where id = :pid and deletado = 1");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	
	function getedicaocampeonatos($cond){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "edicaocampeonato.getedicaocampeonatos";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->campeonato_id # $this->data # $this->local # $this->obs # $this->deletado # $cond" ;
            $lp->setLog($usuario, $pagina, $funcao, $valores);

	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select * from edicaocampeonato ".$cond;
            
            //echo $comando;
            
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0]  = $row[0]; // id
                    $retorno[$indice][1]  = $row[1]; // campeonato_id
                    $retorno[$indice][2]  = $row[2]; // data
                    $retorno[$indice][3]  = $row[3]; // local
                    $retorno[$indice][4]  = $row[4]; // obs
                    $retorno[$indice][5]  = $row[5]; // deletado
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	



	
		function usado(){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Campeonato.usado";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->tipo # $this->regiaoresponsavel";
            $lp->setLog($usuario, $pagina, $funcao, $valores);

            $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from participacaocampeonato where campeonato_id = :pcampeonato_id and deletado = 0");
            $ps->execute(array(':pcampeonato_id' => $this->id));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
				return 1; //usado
	        }else{
    			return 0; //nao usado
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
	


}
?>