<?php



require_once('../conexao/conectar.php');
require_once('../classes/judo_logperfil.php');

class Falta{

var $id;             
var $matricula_id;
var $datafalta;
var $deletado;

function cadastrar(){
        try {
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Falta.cadastrar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
            
            $valida = $this->faltalancada($this->matricula_id, $this->datafalta);
            
            
            if($valida == 0){
                echo $valores;
            
    		    $c = new Conexao();
		        $date = new DateTime();
		        $conn = $c->AbreConexao();
		        $stmt = $conn->prepare("insert into falta (matricula_id,
		                                                   datafalta,
		                                                   deletado
                                                        )
		                                                   values
		                                                (  :pmatricula_id,
		                                                   :pdatafalta,
		                                                   :pdeletado
                                                            )
		                                                ");
		                                                
		        $stmt->execute(array(':pmatricula_id'            => $this->matricula_id,  
                                 ':pdatafalta'        => $this->datafalta,
                                 ':pdeletado'         => 0

                            ));

		                         
		        return 1;
            }else{
                return -1;
            }
    	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
	function buscar(){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Falta.buscar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
           $c = new Conexao();
            $conn = $c->AbreConexao();
            //echo "aqui buscar".$this->id;
	        $ps = $conn->prepare("select * from falta where id = :pid and deletado = 0");
            $ps->execute(array(':pid' => $this->id));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
                    $this->id            = $row[0];
                    $this->matricula_id  = $row[1];
                    $this->datafalta     = $row[2];
                    $this->deletado      = $row[3];
	            }
				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function alterar(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Falta.alterar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update falta set 
                                    matricula_id  = :pmatricula_id, 
                                    datafalta = :pdatafalta,
                                    deletado  = :pdeletado
    		                        where id  = :pid and deletado = 0");
             $ps->execute(
                           array(
                                    ':pmatricula_id'     => $this->matricula_id, 
                                    ':pdatafalta'        => $this->datafalta,
                                    ':pdeletado'         => $this->deletado
                                )
                        );
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}

		function remover(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Falta.remover";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		$ps = $conn->prepare("update falta set deletado = 1 where id = :pid and deletado = 0");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	

	
	function removerfisico(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Falta.removerfisico";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("delete from falta where id = :pid and deletado = 1");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	
	function getFaltas($cond){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Falta.getPessoas";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
	        
	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select * from falta ".$cond;
            
            //echo "comando $comando";
            
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0] = $row[0]; // id
                    $retorno[$indice][1] = $row[1]; // matricula_id
                    $retorno[$indice][2] = $row[2]; // datafalta
                    $retorno[$indice][3] = $row[3]; // deletado
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
		function faltalancada($matricula_id, $datafalta){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Matricula.faltalancada";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from falta where matricula_id = :pmatricula_id  and datafalta = :pdatafalta and deletado = 0 ");
            $ps->execute(array(':pmatricula_id'            => $matricula_id,  
                               ':pdatafalta'               => $datafalta
                            ));
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                return 1;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
		function getFaltasFull($cond){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Falta.getMatriculasFull";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
	        
	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select f.id, f.matricula_id, m.pessoa_id, p.nome, m.turma_id, t.descricao, f.datafalta, t.periodoletivo from falta f, matricula m, pessoa p, turma t where f.matricula_id = m.id and m.pessoa_id = p.id and m.turma_id = t.id and f.deletado = 0 and m.ativo = 1 ".$cond;
            
            //echo "comando $comando";
            
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0] = $row[0]; // id
                    $retorno[$indice][1] = $row[1]; // matricula_id
                    $retorno[$indice][2] = $row[2]; // pessoa_id
                    $retorno[$indice][3] = $row[3]; // nome
                    $retorno[$indice][4] = $row[4]; // turma_id
                    $retorno[$indice][5] = $row[5]; // descricao
                    $retorno[$indice][6] = $row[6]; // datafalta
                    $retorno[$indice][7] = $row[7]; // periodoletivo
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	

}
?>