<?php



require_once('../conexao/conectar.php');
require_once('../classes/judo_logperfil.php');

class Participacaoevento{

var $id;      
var $data;
var $evento_id;
var $pessoa_id;
var $observacao;
var $deletado;


	
	function cadastrar(){
        try {
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Participacaoevento.cadastrar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->data # $this->evento_id # $this->pessoa_id # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
            
            $resp = $this->verificasejaparticipa($this->pessoa_id, $this->evento_id);
            
            
            if($resp == 1){
                //echo "dentro do cadastrar do participacao evento";
    		    $c = new Conexao();
		        $date = new DateTime();
		        $conn = $c->AbreConexao();
		        $stmt = $conn->prepare("insert into participacaoevento (
		                            data,
                                    evento_id,
                                    pessoa_id,
                                    observacao,
                                    deletado		                             
		                             )values(
		                                :pdata,
		                                :pevento_id,
                                        :ppessoa_id,
                                        :pobservacao,
                                        :pdeletado		                          
		                                 )
		                          ");
		        $stmt->execute(array(
		                        ':pdata'                    => $this->data,
		                        ':pevento_id'               => $this->evento_id,
                                ':ppessoa_id'               => $this->pessoa_id,  
                                ':pobservacao'              => $this->observacao,
                                ':pdeletado'                => 0
		                         )
		                         );
		        return 1;
            }else{
                return -1;
            }
    	
                
            }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function buscar(){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Participacaoevento.buscar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->data # $this->evento_id # $this->pessoa_id # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
	        
	        
	        
	         $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from participacaoevento where id = :pid and deletado = 0");
            $ps->execute(array(':pid' => $this->id));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
                    $this->id               = $row[0];
                    $this->data             = $row[1];                    
                    $this->evento_id        = $row[2];                    
                    $this->pessoa_id        = $row[3];
                    $this->observacao       = $row[4];
                    $this->deletado         = $row[5];    
	            }
				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function alterar(){
	    
	    
	    
		try{
		    
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Participacaoevento.alterar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->data # $this->evento_id # $this->pessoa_id # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            


		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update participacaoevento set 
                                    data                = :pdata,
                                    observacao          = :pobservacao
    		                        where id            = :pid and deletado = 0");
             $ps->execute(
                           array(
                                    ':pdata'                => $this->data,
                                    ':pobservacao'          => $this->observacao,
                                    ':pid'                  => $this->id
                                )
                        );
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}


		function remover(){
		try{
		                //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Participacaoevento.remover";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->data # $this->evento_id # $this->pessoa_id # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            

		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update participacaoevento set deletado = 1 where id = :pid and deletado = 0");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	function removerfisico(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Participacaoevento.removerfisico";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->data # $this->evento_id # $this->pessoa_id # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("delete from participacaoevento where id = :pid and deletado = 1");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	
	function getParticipacaoevento($cond){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Participacaoevento.getParticipacaoevento";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->data # $this->evento_id # $this->pessoa_id # $this->observacao # $cond";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
	        
	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select * from participacaoevento ".$cond;
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0]  = $row[0]; // id
                    $retorno[$indice][1]  = $row[1]; // data
                    $retorno[$indice][2]  = $row[2]; // evento_id
                    $retorno[$indice][3]  = $row[3]; // pessoa_id
                    $retorno[$indice][4]  = $row[4]; // observacao
                    $retorno[$indice][5]  = $row[5]; // deletado
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function getParticipacaoevento2($cond){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Participacaoevento.getParticipacaoevento2";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->data # $this->evento_id # $this->pessoa_id # $this->observacao # $cond";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
	        
	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select pa.id, pa.pessoa_id, pe.nome, pa.evento_id, ev.codigo, ev.descricao, pa.data, pa.observacao from participacaoevento pa, pessoa pe, evento ev where pa.pessoa_id = pe.id and pa.evento_id = ev.id and ".$cond;
	        echo $comando;
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0]  = $row[0]; // pa.id
                    $retorno[$indice][1]  = $row[1]; // pa.pessoa_id
                    $retorno[$indice][2]  = $row[2]; // pe.nome
                    $retorno[$indice][3]  = $row[3]; // pa.evento_id
                    $retorno[$indice][4]  = $row[4]; // ev.codigo
                    $retorno[$indice][5]  = $row[5]; // ev.descricao
                    $retorno[$indice][6]  = $row[6]; // pa.data
                    $retorno[$indice][7]  = $row[7]; // pa.observacao
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}



	
			function getPessoasEvento($evento_id){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Participacaoevento.getPessoasEvento";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->data # $this->evento_id # $this->pessoa_id # $this->observacao # $evento_id";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
	        
	        
	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select nome, cpf, rg from participacaoevento, pessoa where participacaoevento.pessoa_id = pessoa.id and evento_id = :peventoid and participacaoevento.deletado = 0";
	        $ps = $conn->prepare($comando);
            $ps->execute(array(':peventoid' => $evento_id));
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0]  = $row[0]; // id
                    $retorno[$indice][1]  = $row[1]; // codigo
                    $retorno[$indice][2]  = $row[2]; // descricao
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
	
		function verificasejaparticipa($pid,$eid){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Participacaoevento.verificasejaparticipa";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->data # $this->evento_id # $this->pessoa_id # $this->observacao # $cond";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select * from participacaoevento pa where pa.pessoa_id = :ppid and pa.evento_id = :peid and deletado <> 1";
	        $ps = $conn->prepare($comando);
            $ps->execute(array(':ppid' => $pid, ':peid'=>$eid));
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                return -1;
            }else {
                return 1;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}

	

}
?>