<?php



require_once('../conexao/conectar.php');
require_once('../classes/judo_logperfil.php');

class Periodo{

var $id;
var $mesano;
var $ativo;
var $observacao;

function cadastrar(){
        try {
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Periodo.cadastrar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->mesano#$this->ativo#$this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
            
            //$valida = $this->faltalancada($this->matricula_id, $this->datafalta);
            $valida = 0;
            
            
            if($valida == 0){
                //echo "teste ".$this->descricao;
            
    		    $c = new Conexao();
		        $date = new DateTime();
		        $conn = $c->AbreConexao();
		        $stmt = $conn->prepare("insert into periodo (id,
		                                                   mesano,
		                                                   ativo,
		                                                   observacao
                                                        )
		                                                   values
		                                                (  :pid,
		                                                   :pmesano,
		                                                   :pativo,
		                                                   :pobservacao
                                                            )
		                                                ");
		                                                
		        $stmt->execute(array(':pid'           => $this->id,
                                 ':pmesano'           => $this->mesano,
                                 ':pativo'            => 1,
                                 ':pobservacao'       => $this->observacao

                            ));

		                         
		        return 1;
            }else{
                return -1;
            }
    	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
	function buscar(){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Periodo.buscar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->mesano#$this->ativo#$this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
           $c = new Conexao();
            $conn = $c->AbreConexao();
            //echo "aqui buscar".$this->id;
	        $ps = $conn->prepare("select * from periodo where id = :pid and ativo = 1");
            $ps->execute(array(':pid' => $this->id));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
                    $this->id            = $row[0];
                    $this->mesano     = $row[1];
                    $this->ativo      = $row[2];
                    $this->observacao      = $row[3];
                    
	            }
				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function alterar(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Periodo.alterar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->mesano#$this->ativo#$this->observacao";
            
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update periodo set 
                                    mesano = :pmesano,
                                    ativo  = :pativo,
                                    observacao = :pobservacao
    		                        where id  = :pid and ativo = 1");
             $ps->execute(
                           array(
                                    ':pmesano'        => $this->mesano,
                                    ':pativo'         => $this->ativo,
                                    ':pobservacao'    => $this->observacao,
                                    ':pid'               => $this->id
                                )
                        );
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}

		function remover(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Periodo.remover";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->mesano#$this->ativo#$this->observacao";
            
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    
		    $resp = $this->tipoconteudousado($this->id);
		    if($resp <> 1){
		        $c = new Conexao;
		        $conn = $c->AbreConexao();	
    		    $ps = $conn->prepare("update periodo set ativo = 0 where id = :pid and ativo = 1");
                $ps->execute(array(':pid' => $this->id
                                ));
                return 1;
            }else{
                return -1;
            }
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	

	
	function removerfisico(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Tipoconteudo.removerfisico";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->mesano#$this->ativo#$this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("delete from Tipoconteudo where id = :pid and ativo = 1");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	
	function getPeriodo($cond){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Periodo.getPeriodo";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->mesano#$this->ativo#$this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
	        
	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select * from periodo ".$cond;
            //echo "teste - comando $comando";
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0] = $row[0]; // id
                    $retorno[$indice][1] = $row[1]; // mesano
                    $retorno[$indice][2] = $row[2]; // ativo
                    $retorno[$indice][3] = $row[3]; // observacao
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	

	function getAtivo(){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Periodo.getAtivo";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->mesano#$this->ativo#$this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
           $c = new Conexao();
            $conn = $c->AbreConexao();
            //echo "aqui buscar".$this->id;
	        $ps = $conn->prepare("select * from periodo where ativo = 1");
            $ps->execute();
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            echo "retornou";
	            foreach ($ps->fetchAll() as $row) {
                    $this->id            = $row[0];
                    $this->mesano     = $row[1];
                    $this->ativo      = $row[2];
                    $this->observacao      = $row[3];
	            }
	            
	            echo $this->mesano;
				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


}
?>