<?php



require_once('../conexao/conectar.php');
require_once('../classes/judo_logperfil.php');
require_once('../classes/judo_periodo.php');

class Planejamento{

var $id;      
var $conteudo_id;
var $mesano;
var $qtd;
var $atividade;
var $obs;
var $deletado;
var $turma_id;
var $unidade;

	function cadastrar(){
        try {
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Planejamento.cadastrar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->tipo # $this->observacao#$this->periodoletivo#$this->ativo";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
    		$c = new Conexao();
		    $date = new DateTime();
		    $conn = $c->AbreConexao();
		    $stmt = $conn->prepare("insert into planejamento (
                                    conteudo_id,
                                    mesano,
                                    qtd,
                                    atividade,
                                    obs,
                                    deletado,
                                    turma_id,
                                    unidade
		                             )values(
                                        :pconteudo_id,
                                        :pmesano,
                                        :pqtd,
                                        :patividade,
                                        :pobs,
                                        :pdeletado,
                                        :pturma_id,
                                        :punidade
		                                 )
		                          ");
		    $stmt->execute(array(
                                ':pconteudo_id'              => $this->conteudo_id,  
                                ':pmesano'         => $this->mesano,
                                ':pqtd'            => $this->qtd,
                                ':patividade'      => $this->atividade,
                                ':pobs'            => $this->obs,
                                ':pdeletado'       => 0,
                                ':pturma_id'       => $this->turma_id,
                                ':punidade'        => $this-unidade
                                    )
		                         );
		    return 1;
    	}catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function buscar(){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Planejamento.buscar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->tipo # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);	        
	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            echo "dentro da classe valor id".$this->id;
	        $ps = $conn->prepare("select * from planejamento where id = :pid and deletado = 0");
            $ps->execute(array(':pid' => $this->id));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
								$this->conteudo_id =  $row[1]; 
                                $this->mesano      =  $row[2]; 
                                $this->qtd         =  $row[3]; 
                                $this->atividade   =  $row[4]; 
                                $this->obs         =  $row[5]; 
                                $this->deletado    =  $row[6]; 
                                $this->turma_id    =  $row[8]; 
                                $this->unidade     =  $row[9];
	            }
				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function alterar(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Planejamento.alterar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->tipo # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);		    
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
		    
		    //echo "dentro do alterar: ".$this->codigo."-".$this->descricao;
		    
		    
    		$ps = $conn->prepare("update planejamento set 
                                	conteudo_id =  :pconteudo_id, 
                                    mesano      =  :pmesano,
                                    qtd         =  :pqtd,         
                                    atividade   =  :patividade,   
                                    obs         =  :pobs,         
                                    deletado    =  :pdeletado,    
                                    turma_id    =  :pturma_id,
                                    unidade     =  :punidade
    		                        where id = :pid and deletado = 0");
            $ps->execute(
                           array(
                                ':pconteudo_id'              => $this->conteudo_id,  
                                ':pmesano'                   => $this->mesano,
                                ':pqtd'                      => $this->qtd,
                                ':patividade'                => $this->atividade,
                                ':pobs'                      => $this->obs,
                                ':pdeletado'                 => $this->deletado,
                                ':pturma_id'                 => $this->turma_id,
                                ':punidade'                  => $this->unidade,
                                ':pid'                       => $this->id
                                )
                        );
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}


		function remover(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Planejamento.remover";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->tipo # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);		    
		    
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update planejamento set deletado = 1 where id = :pid and deletado = 0");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	function removerfisico(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Planejamento.removerfisico";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->tipo # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);		    
		    
		    
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("delete from planejamento where id = :pid and deletado = 1");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	
	function getPlanejamentos($cond){
	    try{
	                    //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Planejamento.getPlanejamentos";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->tipo # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select * from planejamento ".$cond;
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0]  = $row[0]; // id
                    $retorno[$indice][1]  = $row[1]; // conteudo_id
                    $retorno[$indice][2]  = $row[2]; // mesano
                    $retorno[$indice][3]  = $row[3]; // qtd
                    $retorno[$indice][4]  = $row[4]; // atividade
                    $retorno[$indice][5]  = $row[6]; // obs
                    $retorno[$indice][6]  = $row[7]; //deletado
                    $retorno[$indice][7]  = $row[8]; //turmaid
                    $retorno[$indice][8]  = $row[9]; //unidade
                    
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	


	function getPlanejamentobyturmacbo($turma_id){
	    try{
	                    //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Planejamento.getPlanejamentobyturmacbo";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->tipo # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select p.id, p.conteudo_id, c.descricao, p.atividade, p.turma_id, t.descricao, p.unidade from planejamento p, conteudo c, turma t where p.conteudo_id = c.id and p.turma_id = t.id and turma_id = $turma_id ";
	        
	        echo $comando;
	        
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    echo "<option value='".$row[0]."'>".$row[1]."-".$row[2]."-".$row[3]."-".$row[4]."-".$row[5]."-".$row[6]."</option>";
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	

	function getPlanejamentobyturma($turma_id){
	    try{
	        //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Planejamento.getPlanejamentobyturma";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->tipo # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);

	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select p.id, p.conteudo_id, c.descricao, p.atividade, p.turma_id, t.descricao, p.mesano, p.qtd, p.obs, p.unidade from planejamento p, conteudo c, turma t where p.conteudo_id = c.id and p.turma_id = t.id and turma_id = $turma_id ";
	        
	        echo $comando;
	        
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0]  = $row[0]; // planejamento_id
                    $retorno[$indice][1]  = $row[1]; // conteudo_id
                    $retorno[$indice][2]  = $row[2]; // conteudo descricao
                    $retorno[$indice][3]  = $row[3]; // planejamento atividade
                    $retorno[$indice][4]  = $row[4]; // turma id
                    $retorno[$indice][5]  = $row[5]; // turma descricao
                    $retorno[$indice][6]  = $row[6]; //  mesano
                    $retorno[$indice][7]  = $row[7]; //  qtd
                    $retorno[$indice][8]  = $row[8]; //  obs
                    $retorno[$indice][9]  = $row[9]; // unidade

                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
	
		function getPlanejamentobyturmaperiodocbo($turma_id){
	    try{
	                    //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Planejamento.getPlanejamentobyturmacbo";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->tipo # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
	        
	        
	        $periodo = new Periodo();
            $periodo->getAtivo();
            $mesano = $periodo->mesano;
            
            echo $mesano;
            
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select p.id, p.conteudo_id, c.descricao, p.atividade, p.turma_id, t.descricao, p.unidade, p.mesano from planejamento p, conteudo c, turma t where p.conteudo_id = c.id and p.turma_id = t.id and turma_id = $turma_id and p.mesano = $mesano ";
	        
	        echo $comando;
	        
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    echo "<option value='".$row[0]."'>".$row[1]."-".$row[2]."-".$row[3]."-".$row[4]."-".$row[5]."-".$row[6]."-".$row[7]."</option>";
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}

	


}
?>