<?php



require_once('../conexao/conectar.php');
require_once('../classes/judo_logperfil.php');

class Turma{

var $id;      
var $codigo;
var $descricao;
var $tipo;
var $observacao;
var $deletado;
var $tipo2;
var $periodoletivo;
var $ativo;

	
	function cadastrar(){
        try {
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Turma.cadastrar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->tipo # $this->observacao#$this->periodoletivo#$this->ativo";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
            
            
            
            
    		$c = new Conexao();
		    $date = new DateTime();
		    $conn = $c->AbreConexao();
		    $stmt = $conn->prepare("insert into turma (
                                    codigo,
                                    descricao,
                                    tipo,
                                    observacao,
                                    deletado,
                                    tipo2,
                                    periodoletivo,
                                    ativo
		                             )values(
                                        :pcodigo,
                                        :pdescricao,
                                        :ptipo,
                                        :pobservacao,
                                        :pdeletado,
                                        :ptipo2,
                                        :pperiodoletivo,
                                        :pativo
		                                 )
		                          ");
		    $stmt->execute(array(
                                ':pcodigo'              => $this->codigo,  
                                ':pdescricao'           => $this->descricao,
                                ':ptipo'                => $this->tipo,
                                ':pobservacao'          => $this->observacao,
                                ':pdeletado'            => 0,
                                ':ptipo2'               => $this->tipo2,
                                ':pperiodoletivo'       => $this->periodoletivo,
                                ':pativo'               => 1
                                
		                         )
		                         );
		    return 1;
    	}catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function buscar(){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Turma.buscar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->tipo # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);	        
	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from turma where id = :pid and deletado = 0");
            $ps->execute(array(':pid' => $this->id));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
                    $this->id              = $row[0];
                    $this->codigo          = $row[1];
                    $this->descricao       = $row[2];
                    $this->tipo       = $row[3];
                    $this->observacao       = $row[4];
                    $this->deletado        = $row[5];
                    $this->tipo2        = $row[6];    
                    $this->periodoletivo = $row[7];
                    $this->ativo         = $row[8];
	            }
				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function alterar(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Turma.alterar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->tipo # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);		    
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
		    
		    //echo "dentro do alterar: ".$this->codigo."-".$this->descricao;
		    
		    
    		$ps = $conn->prepare("update turma set 
                                    codigo             = :pcodigo,
                                    descricao          = :pdescricao,
                                    tipo               = :ptipo,
                                    observacao         = :pobservacao,
                                    deletado           = :pdeletado,
                                    tipo2              = :ptipo2,
                                    periodoletivo      = :pperiodoletivo,
                                    ativo              = :pativo
    		                        where id = :pid and deletado = 0");
            $ps->execute(
                           array(
                                    ':pcodigo'           => $this->codigo,  
                                    ':pdescricao'        => $this->descricao,
                                    ':ptipo'        => $this->tipo,
                                    ':pobservacao'        => $this->observacao,
                                    ':pdeletado'         => $this->deletado,                                  
                                    ':pid'               => $this->id,
                                    ':ptipo2'            => $this->tipo2,
                                    ':pperiodoletivo'    => $this->periodoletivo,
                                    ':pativo'            => $this->ativo
                                )
                        );
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}


		function remover(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Turma.remover";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->tipo # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);		    
		    
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update turma set deletado = 1 where id = :pid and deletado = 0");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	function removerfisico(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Turma.removerfisico";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->tipo # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);		    
		    
		    
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("delete from turma where id = :pid and deletado = 1");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	
	function getTurmas($cond){
	    try{
	                    //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Turma.getTurmas";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->tipo # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select * from turma ".$cond;
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0]  = $row[0]; // id
                    $retorno[$indice][1]  = $row[1]; // codigo
                    $retorno[$indice][2]  = $row[2]; // descricao
                    $retorno[$indice][3]  = $row[3]; // tipo
                    $retorno[$indice][4]  = $row[4]; // observacao
                    $retorno[$indice][5]  = $row[6]; // tipo2 (pula deletado)
                    $retorno[$indice][6]  = $row[7]; //periodoletivo
                    $retorno[$indice][7]  = $row[8]; //ativo
                    
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
		function usado(){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Turma.usado";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->tipo # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);	        
	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from pessoa where turma_id = :pturma_id and deletado = 0");
            $ps->execute(array(':pid' => $this->id));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){

				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function getMatriculados($cond){
	    try{
	                    //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Turma.getMatriculados";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->tipo # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select m.id, m.pessoa_id, p.nome, m.turma_id, t.descricao, t.periodoletivo from matricula m, pessoa p, turma t where m.pessoa_id = p.id and m.turma_id = t.id and m.ativo = 1 and t.id = $this->id ".$cond;
	        
	       // echo $comando;
	        
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0]  = $row[0]; // id
                    $retorno[$indice][1]  = $row[1]; // m.pessoa_id
                    $retorno[$indice][2]  = $row[2]; // p.nome
                    $retorno[$indice][3]  = $row[3]; // m.turma_id
                    $retorno[$indice][4]  = $row[4]; // t.descricao
                    $retorno[$indice][5]  = $row[6]; // t.periodoletivo
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}

	
	

}
?>