<?php
require_once('../conexao/conectar.php');
require_once('../classes/judo_logperfil.php');

class Mensagem{
	
	var $idunico; //0
	var $arquivo; //1
	var $mensagem; //2
	var $mostrar;//4
	var $posicao;//3

	function cadastrar(){
        try {
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Mensagem.cadastrar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->idunico # $this->arquivo # $this->mensagem";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
            
            
            
    		$c = new Conexao();
		    $date = new DateTime();
		    $conn = $c->AbreConexao();
		    $stmt = $conn->prepare("insert into mensagens ( arquivo, mensagem, posicao, mostrar) values (:parquivo,:pmensagem,:pposicao,:pmostrar)");
		    $stmt->execute(array(':parquivo' => $this->arquivo, 
		                         ':pmensagem' => $this->mensagem,
		                         ':pposicao' => $this->posicao,
		                         ':pmostrar' => $this->mostrar
		                         ));
		    return 1;
    	}catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function buscar(){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Mensagem.buscar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->idunico # $this->arquivo # $this->mensagem";
            $lp->setLog($usuario, $pagina, $funcao, $valores);	        
	        
	        
	         $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from mensagens where idunico = :pidunico'");
            $ps->execute(array(':pidunico' => $this->pidunico));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
				    $this->idunico = $row[0];			
				    $this->arquivo = $row[1];
				    $this->mensagem = $row[2];
				    $this->posicao = $row[3];
				    $this->mostrar = $row[4];
	            }
				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}

	function buscarMsgArquivo(){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Mensagem.buscarMsgArquivo";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->idunico # $this->arquivo # $this->mensagem";
            $lp->setLog($usuario, $pagina, $funcao, $valores);	        
	        
	        
	        
	         $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from mensagens where arquivo = :parquivo");
            $ps->execute(array(':parquivo' => $this->arquivo));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            $indice = 0;
	            foreach ($ps->fetchAll() as $row) {
				    $retorno[$indice][0] = $row[0];
				    $retorno[$indice][1] = $row[1];
				    $retorno[$indice][2] = $row[2];
				    $retorno[$indice][3] = $row[3];
				    $retorno[$indice][4] = $row[4];				    
				    $indice = $indice + 1;		
	            }
				return $retorno;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }	    
	}



	function alterar(){
	    try {
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Mensagem.alterar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->idunico # $this->arquivo # $this->mensagem";
            $lp->setLog($usuario, $pagina, $funcao, $valores);	        
	        
	        
    		$c = new Conexao();
		    $date = new DateTime();
		    $conn = $c->AbreConexao();
		    $stmt = $conn->prepare("update mensagens set arquivo = :parquivo, mensagem = :pmensagem, posicao = :pposicao, mostrar = :pmostrar where idunico = :pidunico");
		    $stmt->execute(array(':parquivo' => $this->arquivo, 
		                         ':pmensagem' => $this->mensagem,
		                         ':pidunico' => $this->idunico,
		                         ':pposicao' => $this->posicao,
		                         ':pmostrar' => $this->mostrar
		                         ));
		    return 1;
    	}catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


    function exibirmsgs($paginausada,$posicao){
        	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Mensagem.exibirmsgs";
            $valores = "$this->idunico # $this->arquivo # $this->mensagem";
            $lp->setLog($usuario, $pagina, $funcao, $valores);	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from mensagens where arquivo = :parquivo and posicao=:pposicao order by idunico");
            $ps->execute(array(':parquivo' => $paginausada, ':pposicao' => $posicao));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            $indice = 0;
                $f1 = "<font face=arial size=3>";
                echo("<center><table>");
	            foreach ($ps->fetchAll() as $row) {
				    if ($row[4] == 1){
				        echo("<tr><td>$row[2]</font></td></tr>");
				        //$retorno[$indice][0] = $row[0];
				        //$retorno[$indice][1] = $row[1];
				        //$retorno[$indice][2] = $row[2]; //msg
				        //$retorno[$indice][3] = $row[3];
				        //$retorno[$indice][4] = $row[4];	//mostrar
				        //$indice = $indice + 1;		
				    }
	            }
	            echo("</table></center>");
				return $retorno;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }	    
    }

	function remover(){
	    
	    try {
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Mensagem.remover";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->idunico # $this->arquivo # $this->mensagem";
            $lp->setLog($usuario, $pagina, $funcao, $valores);	        
	        
	        
	        
    		$c = new Conexao();
		    $date = new DateTime();
		    $conn = $c->AbreConexao();
		    $stmt = $conn->prepare("delete mensagens where idunico = :pidunico");
		    $stmt->execute(array(
		                         ':pidunico' => $this->idunico 
		                         ));
		    return 1;
    	}catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
}
?>