<?php



require_once('../conexao/conectar.php');
require_once('../classes/judo_logperfil.php');

class Acesso{

var $id;             
var $usuario;
var $rotina;
var $acesso;
var $deletado;

function cadastrar(){
        try {
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Acesso.cadastrar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
            
            $valida = $this->faltalancada($this->matricula_id, $this->datafalta);
            
            
            if($valida == 0){
                echo $valores;
            
    		    $c = new Conexao();
		        $date = new DateTime();
		        $conn = $c->AbreConexao();
		        $stmt = $conn->prepare("insert into acesso (usuario,
		                                                    rotina,
		                                                    acesso,
		                                                    deletado
                                                        )
		                                                   values
		                                                (  :pusuario,
		                                                   :protina,
		                                                   :pacesso,
		                                                   :pdeletado
                                                            )
		                                                ");
		                                                
		        $stmt->execute(array(':pusuario'            => $this->usuario,  
                                     ':protina'             => $this->rotina,
                                     ':pacesso'             => $this->acesso,
                                     ':pdeletado'           => 0

                            ));

		                         
		        return 1;
            }else{
                return -1;
            }
    	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
	function buscar(){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Acesso.buscar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];

            $lp->setLog($usuario, $pagina, $funcao, $valores);            
           $c = new Conexao();
            $conn = $c->AbreConexao();
            //echo "aqui buscar".$this->id;
	        $ps = $conn->prepare("select * from acesso where id = :pid and deletado = 0");
            $ps->execute(array(':pid' => $this->id));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
                    $this->id            = $row[0];
                    $this->usuario    = $row[1];
                    $this->rotina     = $row[2];
                    $this->acesso     = $row[3];
                    $this->deletado   = $row[4];
	            }
				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function alterar(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Acesso.alterar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update acesso set 
                                    usuario  = :pusuario, 
                                    rotina = :protina,
                                    acesso  = :pacesso
    		                        where id  = :pid and deletado = 0");
             $ps->execute(
                           array(
                                    ':pusuario'     => $this->usuario, 
                                    ':protina'        => $this->rotina,
                                    ':pacesso'         => $this->acesso,
                                    ':pid'           => $this->id           
                                )
                        );
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}

		function remover(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Acesso.remover";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		$ps = $conn->prepare("update acesso set deletado = 1 where id = :pid and deletado = 0");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	

	
	function removerfisico(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Acesso.removerfisico";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("delete from acesso where id = :pid and deletado = 1");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	
	function getAcessoliberado($user, $arquivo){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Acesso.getPessoas";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
	        //echo "user:" . $user;
	        //echo "arquivo: " . $arquivo;
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            //$comando = "select * from acesso where usuario = :pusuario and rotina = :protina and deletado = 0";
            $ps = $conn->prepare("select * from acesso where usuario = :pusuario and rotina = :protina and deletado = 0");
            $ps->execute(
                   array(
                        ':pusuario'     => $user, 
                        ':protina'      => $arquivo
                        )
                    );
            //echo "fora do rowcount";
 	        $numreg = $ps->rowCount();
            //echo "valor numreg".$numreg;	        
            if ($numreg > 0) {
                //echo "dentro do rowcount > 0";
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    //echo "valor atributo: {$row[3]}";
                    if ($row[3] == 1){
                        //echo "dentro do if retorno:";    
                       return  1; 
                    }else{
                        return 0;
                    }
                    //$retorno[$indice][3] = $row[3]; // deletado
                    //$indice = $indice + 1;
                }
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}

	

	

}
?>