<?php



require_once('../conexao/conectar.php');
require_once('../classes/judo_logperfil.php');

class Evento{

var $id;      
var $codigo;
var $descricao;
var $responsavel;
var $observacao;
var $deletado;

	
	function cadastrar(){
        try {
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Evento.cadastrar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->responsavel # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);

            
            
            
            //echo "aqui".$this->codigo."-".$this->descricao."-".$this->responsavel."-".$this->observacao;
            
    		$c = new Conexao();
		    $date = new DateTime();
		    $conn = $c->AbreConexao();
		    $stmt = $conn->prepare("insert into evento (
                                    codigo,
                                    descricao,
                                    responsavel,
                                    observacao,
                                    deletado		                             
		                             )values(
                                        :pcodigo,
                                        :pdescricao,
                                        :presponsavel,
                                        :pobservacao,
                                        :pdeletado		                          
		                                 )
		                          ");
		    $stmt->execute(array(
                                ':pcodigo'              => $this->codigo,  
                                ':pdescricao'           => $this->descricao,
                                ':presponsavel'         => $this->responsavel,
                                ':pobservacao'          => $this->observacao,
                                ':pdeletado'            => 0
		                         )
		                         );
		    return 1;
    	}catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function buscar(){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Evento.buscar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->responsavel # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
	        
	        
	        
	         $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from evento where id = :pid and deletado = 0");
            $ps->execute(array(':pid' => $this->id));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
                    $this->id              = $row[0];
                    $this->codigo          = $row[1];
                    $this->descricao       = $row[2];
                    $this->responsavel     = $row[3];
                    $this->observacao      = $row[4];
                    $this->deletado        = $row[5];    
	            }
				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function alterar(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Evento.alterar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->responsavel # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update evento set 
                                    codigo             = :pcodigo,
                                    descricao          = :pdescricao,
                                    responsavel        = :presponsavel,
                                    observacao         = :pobservacao,
                                    deletado           = :pdeletado
    		                        where id = :pid and deletado = 0");
             $ps->execute(
                           array(
                                    ':pcodigo'           => $this->codigo,  
                                    ':pdescricao'        => $this->descricao,
                                    ':presponsavel'      => $this->responsavel,
                                    ':pobservacao'       => $this->observacao,
                                    ':pdeletado'         => $this->deletado,                                  
                                    ':pid'               => $this->id
                                )
                        );
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}


		function remover(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Evento.remover";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->responsavel # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update evento set deletado = 1 where id = :pid and deletado = 0");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	function removerfisico(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Evento.removerfisico";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->responsavel # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("delete from evento where id = :pid and deletado = 1");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	
	function getEventos($cond){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Evento.getEventos";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->responsavel # $this->observacao#$cond";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
	        
	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select * from evento ".$cond;
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0]  = $row[0]; // id
                    $retorno[$indice][1]  = $row[1]; // codigo
                    $retorno[$indice][2]  = $row[2]; // descricao
                    $retorno[$indice][3]  = $row[3]; // responsavel
                    $retorno[$indice][4]  = $row[4]; // observacao
                    $retorno[$indice][5]  = $row[5]; // deletado
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
		function usado(){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Evento.usado";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao # $this->responsavel # $this->observacao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
	        
	        
	        
	         $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from participacaoevento where evento_id = :pevento_id and deletado = 0");
            $ps->execute(array(':pevento_id' => $this->id));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}



}
?>