<?php



require_once('../conexao/conectar.php');
require_once('../classes/judo_logperfil.php');

class Matricula{

var $id;             
var $turma_id;
var $pessoa_id;
var $deletado;
var $ativo;
var $datamatricula;
	
function cadastrar(){
        try {
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Matricula.cadastrar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
            
            $valida = $this->jamatriculado($this->pessoa_id, $this->turma_id);
            
            
            if($valida == 0){
                echo $valores;
            
    		    $c = new Conexao();
		        $date = new DateTime();
		        $conn = $c->AbreConexao();
		        $stmt = $conn->prepare("insert into matricula (turma_id,
		                                                   pessoa_id,
		                                                   deletado,
		                                                   ativo,
		                                                   datamatricula
                                                            )
		                                                   values
		                                                (  :pturma_id,
		                                                   :ppessoa_id,
		                                                   :pdeletado,
		                                                   :pativo,
		                                                   :pdatamatricula
                                                            )
		                                                ");
		                                                
		        $stmt->execute(array(':pturma_id'            => $this->turma_id,  
                                 ':ppessoa_id'             => $this->pessoa_id,
                                 ':pdeletado'         => 0,
                                 ':pativo' => 1,
                                 ':pdatamatricula' => $this->datamatricula
                            ));

		                         
		        return 1;
            }else{
                return -1;
            }
    	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
	function buscar(){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Matricula.buscar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
	        
	        
	        
	         $c = new Conexao();
            $conn = $c->AbreConexao();
            //echo "aqui buscar".$this->id;
	        $ps = $conn->prepare("select * from matricula where id = :pid and deletado = 0");
            $ps->execute(array(':pid' => $this->id));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
                    $this->id               = $row[0];
                    $this->turma_id  = $row[1];
                    $this->pessoa_id         = $row[2];
                    $this->deletado	        = $row[3]; 
                    $this->ativo = $row[4];
                    $this->datamatricula = $row[5];
	            }
				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function alterar(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Matricula.alterar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update matricula set 
                                    turma_id  = :pturma_id, 
                                    pessoa_id = :ppessoa_id,
                                    deletado  = :pdeletado,
                                    ativo = :pativo,
                                    datamatricula = :pdatamatricula
    		                        where id  = :pid and deletado = 0");
             $ps->execute(
                           array(
                                    ':pturma_id'         => $this->turma_id, 
                                    ':ppessoa_id'        => $this->pessoa_id,
                                    ':pdeletado'         => $this->deletado,
                                    ':pativo'            => $this->ativo,
                                    ':pid'               => $this->id,
                                    ':pdatamatricula'    => $this->datamatricula
                                )
                        );
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}

		function remover(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Matricula.remover";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		$ps = $conn->prepare("update matricula set deletado = 1 where id = :pid and deletado = 0");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	
	function desativar(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Matricula.desativar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		$ps = $conn->prepare("update matricula set ativo = 0 where id = :pid and deletado = 0");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	
	function removerfisico(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Matricula.removerfisico";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("delete from matricula where id = :pid and deletado = 1");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	
	function getMatriculas($cond){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Matricula.getPessoas";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
	        
	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select * from matricula ".$cond;
            
            //echo "comando $comando";
            
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0] = $row[0]; // id
                    $retorno[$indice][1] = $row[1]; // turma_id
                    $retorno[$indice][2] = $row[2]; // pessoa_id
                    $retorno[$indice][3] = $row[3]; // deletado
                    $retorno[$indice][4] = $row[4]; //ativo
                    $retorno[$indice][5] = $row[5]; //datamatricula
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
		function jamatriculado($pessoa_id, $turma_id){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Matricula.jamatriculado";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from matricula where pessoa_id = :ppessoa_id  and turma_id = :pturma_id and deletado = 0 and ativo=1");
            $ps->execute(array(':pturma_id'            => $turma_id,  
                               ':ppessoa_id'         => $pessoa_id
                            ));
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                return 1;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
		function getMatriculasFull($cond){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Matricula.getMatriculasFull";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->turma_id#$this->pessoa_id#$this->deletado";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
	        
	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select m.id, m.pessoa_id, p.nome, m.turma_id, t.descricao, m.datamatricula from matricula m, pessoa p, turma t where m.pessoa_id = p.id and m.turma_id = t.id and m.deletado = 0 and m.ativo = 1 ".$cond;
            
            //echo "comando $comando";
            
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0] = $row[0]; // id
                    $retorno[$indice][1] = $row[1]; // pessoa_id
                    $retorno[$indice][2] = $row[2]; // nome
                    $retorno[$indice][3] = $row[3]; // turma_id
                    $retorno[$indice][4] = $row[4]; //descricao
                    $retorno[$indice][5] = $row[5]; //datamatricula
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	

}
?>