<?php



require_once('../conexao/conectar.php');
require_once('../classes/judo_logperfil.php');
require_once('../classes/judo_pessoa.php');
require_once('../classes/judo_edicaocampeonato.php');



class Participacaocampeonato{

var $id;      
var $pessoa_id;
var $edicaocampeonato_id;
var $data;
var $local;
var $colocacao;
var $obs;
var $tipoparticipacao;
var $deletado;
var $colocacaoacademia;
var $catpeso;
var $catidade;
var $graduacao;
var $presenca;


	
	function cadastrar(){
        try {
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Participacaocampeonato.cadastrar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->pessoa_id # $this->edicaocampeonato_id # $this->data # $this->local # $this->colocacao # $this->obs # $this->tipoparticipacao # $this->colocacaoacademia#$this->catpeso#$this->catidade";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
            
            
            $tmppes = new Pessoa();

            $retornoverifica = $tmppes->verificasejaparticipa($this->pessoa_id,$this->edicaocampeonato_id, $this->tipoparticipacao);
            
            if($retornoverifica == 1){

    		    $c = new Conexao();
		        $date = new DateTime();
		        $conn = $c->AbreConexao();
		        $stmt = $conn->prepare("insert into participacaocampeonato (
                                    pessoa_id,
                                    edicaocampeonato_id,
                                    data,
                                    local,
                                    colocacao,
                                    obs,
                                    tipoparticipacao,
                                    deletado,
                                    colocacaoacademia,
                                    catpeso,
                                    catidade,
                                    graduacao,
                                    presenca
		                             )values(
                                        :ppessoa_id,
                                        :pedicaocampeonato_id,
                                        :pdata,
                                        :plocal,
                                        :pcolocacao,
                                        :pobs,
                                        :ptipoparticipacao,
                                        :pdeletado,
                                        :pcolocacaoacademia,
                                        :pcatpeso,
                                        :pcatidade,
                                        :pgraduacao,
                                        :ppresenca
		                                 )
		                          ");
		        $stmt->execute(array(
                                ':ppessoa_id'               => $this->pessoa_id,  
                                ':pedicaocampeonato_id'           => $this->edicaocampeonato_id,
                                ':pdata'                    => $this->data,
                                ':plocal'                   => $this->local,
                                ':pcolocacao'               => $this->colocacao,
                                ':pobs'              => $this->obs,
                                ':ptipoparticipacao'        => $this->tipoparticipacao,
                                ':pdeletado'                => 0,
                                ':pcolocacaoacademia'       => $this->colocacaoacademia,
                                ':pcatpeso'                 => $this->catpeso,
                                ':pcatidade'                => $this->catidade,
                                ':pgraduacao'                => $this->graduacao,
                                ':ppresenca'                => $this->presenca
		                         )
		                         );
		        return 1;
            }else{
                return -1;
            }
    	}catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function buscar(){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Participacaocampeonato.buscar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->pessoa_id # $this->edicaocampeonato_id # $this->data # $this->local # $this->colocacao # $this->obs # $this->tipoparticipacao # $this->colocacaoacademia#$this->catpeso#$this->catidade";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
	        
	        
	        
	        echo "dentro do buscar participacao";
	         $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from participacaocampeonato where id = :pid and deletado = 0");
            $ps->execute(array(':pid' => $this->id));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
                    $this->id               = $row[0];
                    $this->pessoa_id        = $row[1];
                    $this->edicaocampeonato_id    = $row[2];
                    $this->data             = $row[3];
                    $this->local            = $row[4];
                    $this->colocacao        = $row[5];
                    $this->obs       = $row[6];
                    $this->tipoparticipacao = $row[7];
                    $this->deletado         = $row[8];    
                    $this->colocacaoacademia = $row[9];
                    $this->catpeso = $row[10];
                    $this->catidade = $row[11];
                    $this->graduacao = $row[12];
                    $this->presenca = $row[13];
                    
                    
	            }
				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function alterar(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Participacaocampeonato.alterar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->pessoa_id # $this->edicaocampeonato_id # $this->data # $this->local # $this->colocacao # $this->obs # $this->tipoparticipacao # $this->colocacaoacademia#$this->catpeso#$this->catidade";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update participacaocampeonato set 
                                    data                = :pdata,
                                    local               = :plocal,
                                    colocacao           = :pcolocacao,
                                    obs          = :pobs,
                                    tipoparticipacao    = :ptipoparticipacao,
                                    colocacaoacademia  = :pcolocacaoacademia,
                                    catpeso = :pcatpeso,
                                    catidade = :pcatidade,
                                    graduacao = :pgraduacao,
                                    presenca = :ppresenca
    		                        where id            = :pid and deletado = 0");
             $ps->execute(
                           array(
                                    ':pdata'                => $this->data,
                                    ':plocal'               => $this->local,
                                    ':pcolocacao'           => $this->colocacao,
                                    ':pobs'          => $this->obs,
                                    ':ptipoparticipacao'    => $this->tipoparticipacao,
                                    ':pid'                  => $this->id,
                                    ':pcolocacaoacademia'   => $this->colocacaoacademia,
                                    ':pcatpeso'             => $this->catpeso,
                                    ':pcatidade'            => $this->catidade,
                                    ':pgraduacao'            => $this->graduacao,
                                    ':ppresenca'            => $this->presenca
                                )
                        );
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}


		function remover(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Participacaocampeonato.remover";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->pessoa_id # $this->edicaocampeonato_id # $this->data # $this->local # $this->colocacao # $this->obs # $this->tipoparticipacao # $this->colocacaoacademia#$this->catpeso#$this->catidade";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    
		    
		    
		    echo "dentro remover participacao campeonato";
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update participacaocampeonato set deletado = 1 where id = :pid and deletado = 0");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	function removerfisico(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Participacaocampeonato.removerfisico";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->pessoa_id # $this->edicaocampeonato_id # $this->data # $this->local # $this->colocacao # $this->obs # $this->tipoparticipacao # $this->colocacaoacademia#$this->catpeso#$this->catidade";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("delete from participacaocampeonato where id = :pid and deletado = 1");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	
	function getCampeonatos($cond){
	    try{
	                    //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Participacaocampeonato.getCampeonatos";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->pessoa_id # $this->edicaocampeonato_id # $this->data # $this->local # $this->colocacao # $this->obs # $this->tipoparticipacao # $this->colocacaoacademia # $cond#$this->catpeso#$this->catidade";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            

	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select * from participacaocampeonato ".$cond;
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0]  = $row[0]; // id
                    $retorno[$indice][1]  = $row[1]; // pessoa_id
                    $retorno[$indice][2]  = $row[2]; // edicaocampeonato_id
                    $retorno[$indice][3]  = $row[3]; // data
                    $retorno[$indice][4]  = $row[4]; // local
                    $retorno[$indice][5]  = $row[5]; // colocacao
                    $retorno[$indice][6]  = $row[6]; // observacao
                    $retorno[$indice][7]  = $row[7]; // tipoparticipacao                    
                    $retorno[$indice][8]  = $row[8]; // deletado
                    $retorno[$indice][9]  = $row[9]; // deletado
                    $retorno[$indice][10]  = $row[10]; // deletado
                    $retorno[$indice][11]  = $row[11]; // deletado
                    $retorno[$indice][12]  = $row[12]; // graduacao
                    $retorno[$indice][13]  = $row[13]; // graduacao
                    
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}

	function getCampeonatos2($cond){
	    try{
	                    //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Participacaocampeonato.getCampeonatos2";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->pessoa_id # $this->edicaocampeonato_id # $this->data # $this->local # $this->colocacao # $this->obs # $this->tipoparticipacao # $this->colocacaoacademia # $cond#$this->catpeso#$this->catidade";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            

	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select pa.id, pe.id, pe.nome, pa.tipoparticipacao, ed.id, ed.data, ed.local, ca.descricao, ca.tipo, pa.graduacao, pa.presenca 
                        from participacaocampeonato pa, pessoa pe, edicaocampeonato ed, campeonato ca  
                        where pa.pessoa_id = pe.id and pa.edicaocampeonato_id = ed.id and ed.campeonato_id = ca.id and ".$cond;
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0]  = $row[0]; // participacao id
                    $retorno[$indice][1]  = $row[1]; // pessoa_id
                    $retorno[$indice][2]  = $row[2]; // p.nome
                    $retorno[$indice][3]  = $row[3]; // p.tipo
                    $retorno[$indice][4]  = $row[4]; // ed.id
                    $retorno[$indice][5]  = $row[5]; // ed.data
                    $retorno[$indice][6]  = $row[6]; // ed.local
                    $retorno[$indice][7]  = $row[7]; // c.descricao
                    $retorno[$indice][8]  = $row[8]; // c.tipo
                    $retorno[$indice][9]  = $row[9]; // c.graduacao
                    
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}



	
				function getPessoasCampeonato($campeonato_id){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Participacaocampeonato.getPessoasCampeonato";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->pessoa_id # $this->campeonato_id # $this->data # $this->local # $this->colocacao # $this->obs # $this->tipoparticipacao # $this->colocacaoacademia # $campeonato_id#$this->catpeso#$this->catidade";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select nome, cpf, rg from participacaocampeonato, pessoa where participacaocampeonato.pessoa_id = pessoa.id and campeonato_id = :pcampeonatoid and participacaocampeonato.deletado = 0";
	        $ps = $conn->prepare($comando);
            $ps->execute(array(':pcampeonatoid' => $campeonato_id));
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0]  = $row[0]; // id
                    $retorno[$indice][1]  = $row[1]; // codigo
                    $retorno[$indice][2]  = $row[2]; // descricao
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
	function getCampeonatosArbitros($cond){
	    try{
	                    //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Participacaocampeonato.getCampeonatosArbitros";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->pessoa_id # $this->edicaocampeonato_id # $this->data # $this->local # $this->colocacao # $this->obs # $this->tipoparticipacao # $this->colocacaoacademia # $cond#$this->catpeso#$this->catidade";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            

	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select pa.id, pe.id, pe.nome, pa.tipoparticipacao, ed.id, ed.data, ed.local, ca.descricao, ca.tipo, pa.graduacao, tg.descricao, pa.presenca 
                        from participacaocampeonato pa, pessoa pe, edicaocampeonato ed, campeonato ca, tipograduacao tg  
                        where pa.pessoa_id = pe.id and pa.edicaocampeonato_id = ed.id and ed.campeonato_id = ca.id and pa.graduacao = tg.id ".$cond;
                        
                        
            //echo "aqui: ".$comando;
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0]  = $row[0]; // participacao id
                    $retorno[$indice][1]  = $row[1]; // pessoa_id
                    $retorno[$indice][2]  = $row[2]; // p.nome
                    $retorno[$indice][3]  = $row[3]; // p.tipo
                    $retorno[$indice][4]  = $row[4]; // ed.id
                    $retorno[$indice][5]  = $row[5]; // ed.data
                    $retorno[$indice][6]  = $row[6]; // ed.local
                    $retorno[$indice][7]  = $row[7]; // c.descricao
                    $retorno[$indice][8]  = $row[8]; // c.tipo
                    $retorno[$indice][9]  = $row[9]; // c.graduacao
                    $retorno[$indice][10]  = $row[10]; // tg.descricao
                    $retorno[$indice][11]  = $row[11]; // pa.presenca
                    
                    
                    
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function getNroParticipacaoPorArbitro($idarbitro, $idedicao, $tipoparticipacao,$presenca){
	    try{
	                    //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Participacaocampeonato.getCampeonatosArbitros";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->pessoa_id # $this->edicaocampeonato_id # $this->data # $this->local # $this->colocacao # $this->obs # $this->tipoparticipacao # $this->colocacaoacademia # $cond#$this->catpeso#$this->catidade";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            

	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select pa.id, pa.tipoparticipacao, pa.presenca
                        from participacaocampeonato pa  
                        where pa.pessoa_id = $idarbitro and 
                        pa.edicaocampeonato_id = $idedicao and 
                        deletado <> 1 and pa.tipoparticipacao = '$tipoparticipacao' and 
                        pa.presenca = '$presenca' ".$cond;
                        
                        
            $comando = "select pa.id, pa.tipoparticipacao, pa.presenca
                        from participacaocampeonato pa  
                        where pa.pessoa_id = $idarbitro and 
                        pa.edicaocampeonato_id = $idedicao ".$cond;                        
                        
                        
            //echo "aqui: ".$comando;
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0]  = $row[0]; // id
                    $retorno[$indice][1]  = $row[1]; // participacao
                    $retorno[$indice][2]  = $row[2]; // presenca
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}



}
?>