<?php



require_once('../conexao/conectar.php');
require_once('../classes/judo_logperfil.php');


class Recebimento{

var $id;
var $pessoa_id;
var $datarecebimento;
var $valor;
var $tipo;
var $observacao;
var $deletado;
var $mesref;

function cadastrar(){
        try {
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Recebimento.cadastrar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->pessoa_id#$this->datarecebimento#$this->valor#$this->tipo#$this->observacao#$this->mesref";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
            
            //$valida = $this->faltalancada($this->matricula_id, $this->datafalta);
            $valida = 0;
            
            
           // echo $valores;
            
            
            if($valida == 0){
                echo "teste ".$this->descricao;
            
    		    $c = new Conexao();
		        $date = new DateTime();
		        $conn = $c->AbreConexao();
		        $stmt = $conn->prepare("insert into recebimento (
		                                                   pessoa_id,
		                                                   datarecebimento,
		                                                   valor,
		                                                   tipo,
		                                                   observacao,
		                                                   deletado,
		                                                   mesref
                                                        )
		                                                   values
		                                                (  
		                                                   :ppessoa_id,
		                                                   :pdatarecebimento,
		                                                   :pvalor,
		                                                   :ptipo,
		                                                   :pobservacao,
		                                                   :pdeletado,
		                                                   :pmesref
                                                            )
		                                                ");
		                                                
		        $stmt->execute(array(
                                     ':ppessoa_id'        	=> $this->pessoa_id,
                                     ':pdatarecebimento'    => $this->datarecebimento,
									 ':pvalor' 				=> $this->valor,
									 ':ptipo' 				=> $this->tipo,
									 ':pobservacao' 		=> $this->observacao,
									 ':pdeletado' 			=> 0,
									 ':pmesref'             =>  $this->mesref
                            ));

		                         
		        return 1;
            }else{
                return -1;
            }
    	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
	function buscar(){
	    try{
	        
	        
	        
	        //echo "aqui";
	        
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Recebimento.buscar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->pessoa_id#$this->datarecebimento#$this->valor#$this->tipo#$this->observacao#$this->mesref";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
            
            
            //echo "id: ".$this->id;
            
            $c = new Conexao();
            $conn = $c->AbreConexao();
            //echo "aqui buscar".$this->id;
	        $ps = $conn->prepare("select * from recebimento where id = :pid and deletado = 0");
            $ps->execute(array(':pid' => $this->id));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            
	            //echo "rows > 0";
	            
	            foreach ($ps->fetchAll() as $row) {
                    $this->id                	= $row[0];
                    $this->pessoa_id			= $row[1];
                    $this->datarecebimento		= $row[2];
                    $this->valor				= $row[3];
                    $this->tipo					= $row[4];
                    $this->observacao			= $row[5];
                    $this->deletado				= $row[7];
                    $this->mesref				= $row[8];       
	            }
				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function alterar(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Recebimento.alterar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->pessoa_id#$this->datarecebimento#$this->valor#$this->tipo#$this->observacao#$this->mesref";
            
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update recebimento set 
                                    observacao       =  :pobservacao
    		                        where id  = :pid and deletado = 0");
             $ps->execute(
                           array(
                                    ':pobservacao'         => $this->observacao,
                                    ':pid'                 => $this->id,
                                )
                        );
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}

		function remover(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Recebimento.remover";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->pessoa_id#$this->datarecebimento#$this->valor#$this->tipo#$this->observacao#$this->mesref";
            
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    if($resp <> 1){
		        $c = new Conexao;
		        $conn = $c->AbreConexao();	
    		    $ps = $conn->prepare("update recebimento set deletado = 1 where id = :pid and deletado = 0");
                $ps->execute(array(':pid' => $this->id
                                ));
                return 1;
            }else{
                return -1;
            }
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	

	
	function removerfisico(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Recebimento.removerfisico";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->pessoa_id#$this->datarecebimento#$this->valor#$this->tipo#$this->observacao#$this->mesref";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("delete from recebimento where id = :pid and deletado = 1");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	
	function getRecebimentos($cond){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Recebimento.getRecebimentos";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id#$this->pessoa_id#$this->datarecebimento#$this->valor#$this->tipo#$this->observacao#$this->mesref";
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
	        
	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select * from recebimento ".$cond;
            //echo "teste - comando $comando";
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0] = $row[0]; // id
                    $retorno[$indice][1] = $row[1]; // pessoa_id
                    $retorno[$indice][2] = $row[2]; // datarecebimento
                    $retorno[$indice][3] = $row[3]; // valor
                    $retorno[$indice][4] = $row[4]; // tipo
                    $retorno[$indice][5] = $row[5]; // observacao
                    $retorno[$indice][7] = $row[7]; // deletado
                    $retorno[$indice][8] = $row[8]; //mesref
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
	
	function getRecebimentos2($cond){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Recebimento.getRecebimentos";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            
            $valores = "$this->id#$this->pessoa_id#$this->datarecebimento#$this->valor#$this->tipo#$this->observacao#$this->mesref";
            
            $lp->setLog($usuario, $pagina, $funcao, $valores);            
	        
	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            //                   0     1             2           3               4         5    6              7
            $comando = "select r.id, r.pessoa_id, p.nome, r.datarecebimento, r.valor, r.tipo, r.observacao, r.mesref from recebimento r, pessoa p where r.pessoa_id = p.id and r.deletado <> 1 ".$cond;
            //echo "consulta na classe".$comando;
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0] = $row[0]; // id
                    $retorno[$indice][1] = $row[1]; // pessoa_id
                    $retorno[$indice][2] = $row[2]; // nome
                    $retorno[$indice][3] = $row[3]; // recebimento
                    $retorno[$indice][4] = $row[4]; // valor
                    $retorno[$indice][5] = $row[5]; // tipo
                    $retorno[$indice][6] = $row[6]; // observacao                    
                    $retorno[$indice][7] = $row[7]; // mesref
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


}
?>