<?php



require_once('../conexao/conectar.php');
require_once('../classes/judo_logperfil.php');

class Tipograduacao{

var $id;      
var $codigo;
var $descricao;
var $deletado;
var $tipo;
var $valor;
	
	function cadastrar(){
        try {
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Tipograduacao.cadastrar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao  # $this->tipo # $this->valor";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
            
            
            
            
    		$c = new Conexao();
		    $date = new DateTime();
		    $conn = $c->AbreConexao();
		    $stmt = $conn->prepare("insert into tipograduacao (
                                    codigo,
                                    descricao,
                                    deletado,
                                    tipo,
                                    valor
		                             )values(
                                        :pcodigo,
                                        :pdescricao,
                                        :pdeletado,
                                        :ptipo,
                                        :pvalor
		                                 )
		                          ");
		    $stmt->execute(array(
                                ':pcodigo'              => $this->codigo,  
                                ':pdescricao'           => $this->descricao,
                                ':pdeletado'            => 0,
                                ':ptipo'                => $this->tipo,
                                ':pvalor'               => $this->valor
		                         )
		                         );
		    return 1;
    	}catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function buscar(){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Tipograduacao.buscar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);	        
	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from tipograduacao where id = :pid and deletado = 0");
            $ps->execute(array(':pid' => $this->id));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
                    $this->id              = $row[0];
                    $this->codigo          = $row[1];
                    $this->descricao       = $row[2];
                    $this->deletado        = $row[3]; 
                    $this->tipo            = $row[4];
                    $this->valor           = $row[5];
	            }
				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function alterar(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Tipograduacao.alterar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);		    
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
		    
		    //echo "dentro do alterar: ".$this->codigo."-".$this->descricao;
		    
		    
    		$ps = $conn->prepare("update tipograduacao set 
                                    codigo             = :pcodigo,
                                    descricao          = :pdescricao,
                                    deletado           = :pdeletado,
                                    tipo               = :ptipo,
                                    valor              = :pvalor
    		                        where id = :pid and deletado = 0");
            $ps->execute(
                           array(
                                    ':pcodigo'           => $this->codigo,  
                                    ':pdescricao'        => $this->descricao,
                                    ':pdeletado'         => $this->deletado,  
                                    ':ptipo'             => $this->tipo,
                                    ':pvalor'            => $this->valor,
                                    ':pid'               => $this->id
                                )
                        );
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}


		function remover(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Tipograduacao.remover";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);		    
		    
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update tipograduacao set deletado = 1 where id = :pid and deletado = 0");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	function removerfisico(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Tipograduacao.removerfisico";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);		    
		    
		    
		    
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("delete from tipograduacao where id = :pid and deletado = 1");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	
	function getTiposgraduacao($cond){
	    try{
	                    //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Tipograduacao.getTiposgraduacao";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao#$cond";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select * from tipograduacao ".$cond;
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0]  = $row[0]; // id
                    $retorno[$indice][1]  = $row[1]; // codigo
                    $retorno[$indice][2]  = $row[2]; // descricao
                    $retorno[$indice][3]  = $row[4]; // tipo
                    $retorno[$indice][4]  = $row[5]; // valor
                    
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
		function usado(){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Tipograduacao.usado";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->codigo # $this->descricao";
            $lp->setLog($usuario, $pagina, $funcao, $valores);	        
	        
	        
	        
	        $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from graduacao where tipograduacao_id = :ptipograduacao_id and deletado = 0");
            $ps->execute(array(':ptipograduacao_id' => $this->id));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){

				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}

	

}
?>