<?php
require_once('../conexao/conectar.php');

class Aluno{
	
	
	
	var $id;
	var $descricao;
	var $senha;

	
	function cadastrar(){
        try {
    		$c = new Conexao();
		    $date = new DateTime();
		    $conn = $c->AbreConexao();
		    $stmt = $conn->prepare("insert into perfil (id, descricao, senha) values (:pid, :pdescricao, :psenha)");
		    $stmt->execute(array(':pid' => $this->id, ':pdescricao' => $this->descricao, ':psenha' => $this->senha));
		    return 1;
    	}catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function buscar(){
	    try{
	        $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from perfil where id = :pid");
            $ps->execute(array(':pid' => $this->id));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
                    $this->descricao = $row[1];
				    $this->senha = $row[2];
	            }
				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function alterar(){

		try{
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update perfil set descricao = :pdescricao, senha = :psenha where id = :pid");
             $ps->execute(array(':pdescricao' => $this->idnome,
                                ':psenha' => $this->usuario,
                                ':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}

	function remover(){
		try{
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("delete from perfil where id = :pid");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	
	function getPerfis($cond){
	    try{
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select * from perfil ".$cond;
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0] = $row[0]; // id
                    $retorno[$indice][1] = $row[1]; // usuario
                    $retorno[$indice][2] = $row[2]; // nome
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
	function logar($inf){
		$resp = $this->buscar();
		if ($resp == 1){
			if ($this->senha == md5($inf)){
				return 1;
			}else{
				return 2;
			}
		}else{
			return 3;
		}
	}
	
	function iniciaSessao(){
		session_start();
		//echo $this->ra;
		$_SESSION['u'] =  $this->id;
		//$_SESSION['p'] = $this->passwd;
		$_SESSION['n'] = $this->descricao;
		$_SESSION['ts'] = time();
		//echo $_SESSION['u'];
		return 1;
	}

	function verificaLoginSessao(){
		if (!isset($_SESSION['u'])   ){
			echo "<font face=arial color=red size=1>usurio nao logado;</font>";
			return 0;
		}else{ echo "<font face=arial color=blue size=1>usurio logado</font>"; return 1; }
	}
	
	function verificaTimeSessao(){
		echo "<font face=arial color=blue size=1>{$_SESSION['ts']}</font>";
		if (isset($_SESSION['ts'])) {
			echo "<font face=arial color=blue size=1>var ts encontrada;</font>";
			echo "<font face=arial color=blue size=1>{$_SESSION['ts']}</font>";
			echo "   ";
			echo "<font face=arial color=blue size=1>{time()}</font>";
			echo "    ";
			echo "<font face=arial color=blue size=1>{$t}</font>";
			echo "   ";
			$t = 10;
			if ($_SESSION['ts'] < (time() - $t)) {
				echo "<font face=arial color=red size=1>kill sessao</font>";
				$this->mataSessao();
				return false; //echo "Seu tempo Expirou!";
			}else { return true; }
		}else{ return false; }
	}
	
	function mataSessao(){
		session_unset();
		session_destroy();
		$_SESSION = array();
	}
	
	function getAtividades(){

	    try{
	        $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from atividade a inner join alunos al on a.aluno_ra = al.ra where ra = :pra");
            $ps->execute(array(':pra' => $this->ra
                                ));
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
				    $retorno[$indice][0] = $row[0];
				    $retorno[$indice][1] = $row[1];
				    $retorno[$indice][2] = $row[2];
				    $retorno[$indice][3] = $row[3];
				    $retorno[$indice][4] = $row[4];
				    $retorno[$indice][5] = $row[5];
				    $retorno[$indice][6] = $row[6];
				    $retorno[$indice][7] = $row[7];
				    $retorno[$indice][8] = $row[8];	
				    $indice = $indice + 1;                    
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
	
	function setLog(){
        try {
    		$dataac = date("Y-m-d");
	    	$horaac = strftime("%H:%M:%S");
    		$c = new Conexao();
		    $date = new DateTime();
		    $conn = $c->AbreConexao();
		    $stmt = $conn->prepare("insert into log (data, hora, rotina, usuario, observacao, comando, ip) values(:pdataac, :phoraac, :prot, :pusuario, :pobs, :pcom, :pserver)");
		    $stmt->execute(array(':pdataac' => $dataac, 
		                         ':phoraac' => $horaac, 
		                         ':prot' => $rot, 
		                         ':pusuario' => $this->usuario, 
		                         ':pobs' => $obs, 
		                         ':pcom' => $com, 
		                         ':pserver' => $_SERVER['REMOTE_ADDR']));
		    return 1;
    	}catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}

	function getUltlog(){
	    try{
	        $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from log where perfil = :pid order by data, hora desc limit 1;");
            $ps->execute(array(':pid' => $this->id));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
				    $dataacm = $row[3];
				    $horaacm = $row[4];
				    $remotoac = $row[2];
	            }
	            $retorno = "Sua ltima validao foi em {$dataacm} as {$horaacm} a partir de {$remotoac}";
				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
}
?>