<?php



require_once('../conexao/conectar.php');

class Usuario{

	var $usuario;
	var $nome;
	var $senha;

	
	function cadastrar(){
        try {
    		$c = new Conexao();
		    $date = new DateTime();
		    $conn = $c->AbreConexao();
		    $stmt = $conn->prepare("insert into usuario (usuario, nome, senha) values (:usuario, :nome, :senha)");
		    $stmt->execute(array(':usuario' => $this->usuario, ':nome' => $this->nome, ':senha' => $this->senha));
		    return 1;
    	}catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function buscar(){
	    try{
	         $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from usuario where usuario = :usuario");
            $ps->execute(array(':usuario' => $this->usuario));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
                    $this->nome = $row[2];
				    $this->senha = $row[3];
	            }
				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function alterar(){
		try{
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("updte usuario set nome = :pnome from usuario where usuario = :pusuario");
             $ps->execute(array(':pnome' => $this->nome,
                                ':pusuario' => $this->usuario
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}

	function trocasenha(){
		try{
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("updte usuario set senha = :psenha from usuario where usuario = :pusuario");
             $ps->execute(array(':psenha' => $this->senha,
                                ':pusuario' => $this->usuario
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	function remover(){
		try{
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("delete from usuario where usuario = :pusuario");
             $ps->execute(array(':pusuario' => $this->usuario
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	
	function getUsuarios($cond){
	    try{
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select * from usuario ".$cond;
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0] = $row[0]; // id
                    $retorno[$indice][1] = $row[1]; // usuario
                    $retorno[$indice][2] = $row[2]; // nome
                    $retorno[$indice][3] = $row[3]; // senha
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
	
		function getUsuarios2($cond){
	    try{
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select * from usuario ".$cond;
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0] = $row[0]; // id
                    $retorno[$indice][1] = $row[1]; // usuario
                    $retorno[$indice][2] = $row[2]; // nome
                    $retorno[$indice][3] = $row[3]; // senha
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
	
	function logar($inf){
		$resp = $this->buscar();
		if ($resp == 1){
			if ($this->senha == md5($inf)){
				return 1;
			}else{
				return 2;
			}
		}else{
			return 3;
		}
	}
	
	function iniciaSessao(){
		session_start();
		$_SESSION['u'] =  $this->usuario;
		$_SESSION['n'] = $this->nome;
		$_SESSION['ts'] = time();
		//echo $_SESSION['u'];
		return 1;
	}

	function verificaLoginSessao(){
		if (!isset($_SESSION['u'])   ){
			echo "<font face=arial color=red size=1>usu�rio nao logado;</font>";
			return 0;
		}else{ echo "<font face=arial color=blue size=1>usu�rio logado</font>"; return 1; }
	}
	
	function verificaTimeSessao(){
		if (isset($_SESSION['ts'])) {
			$t = 900;
			if ($_SESSION['ts'] < (time() - $t)) {
				$this->mataSessao();
				return false; //echo "Seu tempo Expirou!";
			}else { return true; }
		}else{ return false; }
	}
	
	function mataSessao(){
		session_unset();
		session_destroy();
		$_SESSION = array();
	}

	function setLog($obs, $com, $rot){
        try {
    		$dataac = date("Y-m-d");
	    	$horaac = strftime("%H:%M:%S");
    		$c = new Conexao();
		    $date = new DateTime();
		    $conn = $c->AbreConexao();
		    $stmt = $conn->prepare("insert into log (data, hora, rotina, usuario, observacao, comando, ip) values(:pdataac, :phoraac, :prot, :pusuario, :pobs, :pcom, :pserver)");
		    $stmt->execute(array(':pdataac' => $dataac, 
		                         ':phoraac' => $horaac, 
		                         ':prot' => $rot, 
		                         ':pusuario' => $this->usuario, 
		                         ':pobs' => $obs, 
		                         ':pcom' => $com, 
		                         ':pserver' => $_SERVER['REMOTE_ADDR']));
		    return 1;
    	}catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}

	function getUltlog(){
	    try{
	        $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from log where perfil = :pid order by data, hora desc limit 1;");
            $ps->execute(array(':pid' => $this->id));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
				    $dataacm = $row[3];
				    $horaacm = $row[4];
				    $remotoac = $row[2];
	            }
	            $retorno = "Sua última validação foi em {$dataacm} as {$horaacm} a partir de {$remotoac}";
				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
}
?>